benchmark.h File Reference

Simple benchmark infrastructure. More...

`#include <string>`
`#include <vector>`
`#include <functional>`
`#include <cstdio>`

Go to the source code of this file.

## Data Structures

struct | wreport::benchmark::Task
| Collect timings for one task. More...
struct | wreport::benchmark::Progress
| Notify of progress during benchmark execution. More...
struct | wreport::benchmark::BasicProgress
| Basic progress implementation writing progress information to the given output stream. More...
struct | wreport::benchmark::Benchmark
| Base class for all benchmarks. More...
struct | wreport::benchmark::Registry
| Collect all existing benchmarks. More...

## Namespaces

namespace | wreport
| String functions.

## Detailed Description

Simple benchmark infrastructure.